#
# spec file for package mailman (Version 2.0.8)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl python
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz openssl pam perl python rpm

Name:         mailman
License:      GPL
Group:        Productivity/Networking/Email/Mailinglists
URL:          http://www.gnu.org/software/mailman/mailman.html
Provides:     mailman
Requires:     python cron
Autoreqprov:  on
Summary:      mailman
Version:      2.0.8
Release:      245
Source:       mailman-2.0.8.tar.bz2
Source1:      README.SuSE
Source2:      apache.tar.bz2
Source3:      sysconfig.apache-mailman
Source4:      SuSEconfig.mailman
Source5:      rcmailman
Patch:        configure.patch
Patch1:       destdir.patch
Patch2:       wrapper.patch
Patch3:       mailman-2.0.14-sec.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is the GNU mailinglist manager mailman. Provides an easy to configure means of
maintaining mailing lists including web-administration. Mailman is based on python.

Authors:
--------
    John Viega <mailman-users@python.org>

SuSE series: n

%prep
%setup
%patch
%patch1
%patch2
%patch3
cp -av %{S:1} .

%build
%{?suse_update_config:%{suse_update_config -l -f build}}
autoconf
./configure --prefix=/usr/lib/mailman --sysconfdir=/etc \
	--localstatedir=/var/run --libexecdir=/usr/lib/mailman \
	--mandir=%{_mandir} --with-groupname=mdom --with-username=mdom \
	--with-var-prefix=/var/lib/mailman \
	--with-cgi-gid=nogroup --with-mail-gid=daemon # these two values will be faked anyway
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{usr/{local/httpd/icons,sbin},etc/{httpd,init.d},var/adm/fillup-templates,sbin/conf.d}/
(cd $RPM_BUILD_ROOT/etc/httpd/; tar xjvf %{S:2})
echo `grep ^nogroup /etc/group | cut -d: -f3` >$RPM_BUILD_ROOT/etc/mailman.cgi-group
echo `grep ^daemon /etc/group | cut -d: -f3` >$RPM_BUILD_ROOT/etc/mailman.mail-group
make DESTDIR=$RPM_BUILD_ROOT ICONDIR=/usr/local/httpd/icons/ install
for i in bin scripts cron; do
	python /usr/lib/python/compileall.py -d /usr/lib/mailman/${i} $RPM_BUILD_ROOT/usr/lib/mailman/${i}
done
awk '/^[0-9,\*]/ { print $1 " " $2 " " $3 " " $4 " " $5 " mdom " $6 " " $7 " " $8 } /^\#/ { print $0 }' \
	$RPM_BUILD_ROOT/usr/lib/mailman/cron/crontab.in \
	> $RPM_BUILD_ROOT/usr/lib/mailman/cron/crontab
install -m 644 %{S:3} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 755 %{S:4} $RPM_BUILD_ROOT/sbin/conf.d/
install -m 755 %{S:5} $RPM_BUILD_ROOT/etc/init.d/mailman
ln -s ../../etc/init.d/mailman $RPM_BUILD_ROOT/usr/sbin/rcmailman

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/mailman-notify
Please read /usr/share/doc/packages/mailman/README.SuSE.
Sincerely,
Your SuSE Team
EOT
%{fillup_and_insserv -f}
%{fillup_only -an apache}
# Now come the aliases hacks...
NEW=0
[ -z "`grep ^mailman: etc/aliases`" ] && {
	echo "Adding 'mailman' entry to etc/aliases..."
	echo -e "\nmailman:	root" >> etc/aliases
	NEW=1
}
[ -z "`grep ^mailman-owner: etc/aliases`" ] && {
	echo "Adding 'mailman-owner' entry to etc/aliases..."
	[ $NEW -eq 0 ] && echo "" >> etc/aliases
	echo "mailman-owner:	mailman" >> etc/aliases
	NEW=1
}
[ $NEW -eq 1 ] && [ -x usr/bin/newaliases ] && usr/bin/newaliases
# Handle old installation
[ -d var/spool/mailman ] && {
	echo -n "Moving /var/spool/mailman -> /var/lib/mailman... "
	(cd var/lib/mailman; cp -a var/spool/mailman/* .)
	rm -rf var/spool/mailman
	echo "Done."
}
echo "All done."

%files
%defattr(-, root, root)
%doc ACKNOWLEDGMENTS BUGS FAQ INSTALL NEWS TODO UPGRADING gnu-COPYING-GPL
%doc README README.EXIM README.LINUX README.NETSCAPE README.QMAIL README.SENDMAIL README.SuSE
%dir %attr(02775, root, mdom) /usr/lib/mailman/
%attr(-, root, mdom) /usr/lib/mailman/[^M]*
%dir %attr(02775, root, mdom) /usr/lib/mailman/Mailman
%attr(-, root, mdom) /usr/lib/mailman/Mailman/[^m]*
%config(noreplace) %attr(-, root, mdom) /usr/lib/mailman/Mailman/m*
%dir %attr(02775, root, mdom) /var/lib/mailman/
%attr(-, root, mdom) /var/lib/mailman/*
/usr/local/httpd/icons/*
/etc/httpd/mailman.conf
/etc/httpd/modules/mailman
%config /etc/mailman*
/var/adm/fillup-templates/*
/sbin/conf.d/*
/usr/sbin/*
/etc/init.d/*

%changelog -n mailman
* Mon Mar 22 2004 - rommel@suse.de
- security update (fixes all currently know XSS vulnerabilities, taken from
  2.0.14), see Bug #34442
* Thu Jan 31 2002 - vinil@suse.cz
- README.SuSE typo fixed
* Thu Jan 24 2002 - vinil@suse.cz
- add rcscript, that moves crontab entry in /etc/cron.d/ and out
* Thu Jan 17 2002 - ro@suse.de
- adapted for /etc/sysconfig/apache
* Wed Jan 16 2002 - vinil@suse.cz
- installation is able to handle old /var/spool/mailman, now
- /var/lib/mailman/Mailman/mm_cfg.py* is %%config(noreplace)
* Tue Dec 11 2001 - vinil@suse.cz
- update to 2.0.8
- web frontend prepared for apache
- patch for configuratable cgi-gid and mail-gid
- taking care about /etc/aliases now
* Sun Aug 19 2001 - iboernig@suse.de
- update to new stable version 2.0.6
* Sun Aug 19 2001 - iboernig@suse.de
- fixed bug in specfile (Bug #9519) Apache GID is now nogroup again.
* Wed Apr 25 2001 - iboernig@suse.de
- changed mailgid to "daemon". It should work now with sendmail.
  Postfix users have to change default_privs
* Fri Mar 16 2001 - iboernig@suse.de
- updated to version 2.0.3, includes minor security fix
* Fri Jan 05 2001 - iboernig@suse.de
- bugfix: move crontab entry to /etc/cron.d/mailman
- notify user in %%post-section
- created README.SuSE
* Thu Dec 28 2000 - choeger@suse.de
- bugfix: --prefix=$RPM_BUILD_ROOT does NOT work, because then
  /var/tmp/mailman-* would be compiled into some .c files
  changed Makefiles to allow DESTDIR=/path
- create crontab entries in postinstall
- use gid of nogroup also for mail-wrapper
* Thu Nov 30 2000 - iboernig@suse.de
- changed default user.group to mdom.mdom
* Wed Nov 29 2000 - iboernig@suse.de
- initial version
